Package twisted :: Package trial :: Module unittest :: Class TextReporter

[show private | hide private]
[frames | no frames]

## Class TextReporter

    Reporter --+
               |
              TextReporter

Known Subclasses:
  `VerboseTextReporter`, `TreeReporter`

Method Summary
| `__init__(self, stream)`
| `allPassed(self)` (inherited from `Reporter`)
| `getRunningTime(self)` (inherited from `Reporter`)
| `reportError(self, testClass, method, exc_info)`
| `reportFailure(self, testClass, method, exc_info)`
| `reportImportError(self, name, exc)` (inherited from `Reporter`)
| `reportSkip(self, testClass, method, exc_info)`
| `reportStart(self, testClass, method)` (inherited from `Reporter`)
| `reportSuccess(self, testClass, method)`
| `start(self, expectedTests)` (inherited from `Reporter`)
| `stop(self)`
| `write(self, format, *args)`
| `writeln(self, format, *args)`
| `_formatError(self, flavor, (testClass, method,`
| `_statusReport(self)`

Class Variable Summary
`string` | `DOUBLE_SEPARATOR`
`string` | `SEPARATOR`

Class Variable Details

### DOUBLE_SEPARATOR

  Type:
    `string`
  Value:

        '=====================================================================\
        =========='

### SEPARATOR

  Type:
    `string`
  Value:

        '---------------------------------------------------------------------\
        ----------'

Generated by Epydoc 1.1 on Sat Feb 15 21:19:27 2003 | http://epydoc.sf.net